OpenJPEG 2.5.4

Data Structures | Macros | Typedefs | Functions | Variables
t1_ht_generate_luts.c File Reference
`#include <string.h>`
`#include <stdio.h>`
`#include <assert.h>`
`#include <stdint.h>`

## Data Structures
struct | vlc_src_table
| HT decoding tables, as given in the standard. More...

## Macros
#define | OPJ_TRUE 1
#define | OPJ_FALSE 0

## Typedefs
typedef struct vlc_src_table | vlc_src_table_t
| HT decoding tables, as given in the standard.

## Functions
OPJ_BOOL | vlc_init_tables ()
| Initializes vlc_tbl0 and vlc_tbl1 tables, from table0.h and table1.h.

## Variables
static vlc_src_table_t | tbl0 []
static vlc_src_table_t | tbl1 []
int | vlc_tbl0 [1024] = { 0 }
| vlc_tbl0 contains decoding information for initial row of quads
int | vlc_tbl1 [1024] = { 0 }
| vlc_tbl1 contains decoding information for non-initial row of quads
OPJ_BOOL | vlc_tables_initialized = OPJ_FALSE
| Initializes VLC tables vlc_tbl0 and vlc_tbl1.

## Macro Definition Documentation

## ◆ OPJ_FALSE

#define OPJ_FALSE 0

## ◆ OPJ_TRUE

#define OPJ_TRUE 1

## Typedef Documentation

## ◆ vlc_src_table_t

typedef struct vlc_src_table vlc_src_table_t

HT decoding tables, as given in the standard.

Data in the table is arranged in this format: c_q is the context for a quad rho is the signficance pattern for a quad u_off indicate if u value is 0 (u_off is 0), or communicated e_k, e_1 EMB patterns cwd VLC codeword cwd VLC codeword length

## Variable Documentation

## ◆ tbl0

vlc_src_table_t tbl0[]
| static

Referenced by vlc_init_tables().

## ◆ tbl1

vlc_src_table_t tbl1[]
| static

Referenced by vlc_init_tables().